Bug 233591

Summary: mail/thunderbird has incorrect icon name in desktop file
Product: Ports & Packages Reporter: Zach Dykstra <soporose>
Component: Individual Port(s)Assignee: Mateusz Piotrowski <0mp>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0mp, soporose, w.schwarzenfeld
Priority: --- Flags: bugzilla: maintainer-feedback? (gecko)
Version: Latest   
Hardware: Any   
OS: Any   

Description Zach Dykstra 2018-11-27 23:46:06 UTC
The thunderbird.desktop file has an incorrectly defined Icon entry. Icon entries with out an explicit full path to the icon should be set with out a file suffix.

Icon=thunderbird.png

This should instead be:

Icon=thunderbird

With it set to thunderbird.png, launchers and other .desktop consumers are looking for thunderbird.png.{png,xpm,svg}, which will fail. Removing the extension allows 'rofi' to correctly show an icon for Thunderbird in the launcher.
Comment 1 Zach Dykstra 2018-11-28 00:10:12 UTC
--- Makefile    2018-11-27 18:09:01.939635000 -0600
+++ Makefile.no-suffix  2018-11-27 18:08:39.801660000 -0600
@@ -58,7 +58,7 @@
 .endif
 
 post-extract:
-       @${SED} -e 's|@PORTNAME_ICON@|${PORTNAME_ICON}|;s|@MOZILLA@|${MOZILLA}|' \
+       @${SED} -e 's|@PORTNAME_ICON@|${PORTNAME_ICON:R}|;s|@MOZILLA@|${MOZILLA}|' \
                <${FILESDIR}/thunderbird.desktop.in >${WRKDIR}/${MOZILLA_EXEC_NAME}.desktop
 
 post-patch:

The above diff seems to generate the correct work/thunderbird.desktop file.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-02 11:53:30 UTC
ping!
Comment 3 Mateusz Piotrowski freebsd_committer 2019-10-27 09:57:15 UTC
I've tested the patch. It seems to work. I'll try to get it committed soon.

Thanks a lot for your contribution!
Comment 4 Mateusz Piotrowski freebsd_committer 2019-10-27 11:00:50 UTC
https://reviews.freebsd.org/D22167
Comment 5 commit-hook freebsd_committer 2019-10-29 09:02:34 UTC
A commit references this bug:

Author: 0mp
Date: Tue Oct 29 09:02:03 UTC 2019
New revision: 515968
URL: https://svnweb.freebsd.org/changeset/ports/515968

Log:
  Change icon entry in Thunderbird desktop file

  By setting the "Icon" entry to "thunderbird" from "thunderbird.png" we
  allow programs like rofi to detect the Thunderbird icon.

  PR:		233591
  Submitted by:	Zach Dykstra <soporose@gmail.com>
  Approved by:	portmgr (blanket: run bugfixes)
  MFH:		2019Q4
  Differential Revision:	https://reviews.freebsd.org/D22167

Changes:
  head/mail/thunderbird/Makefile